org.apache.lucene.search.vectorhighlight

## Class FieldTermStack.TermInfo

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldTermStack.TermInfo

- All Implemented Interfaces:
    Comparable<FieldTermStack.TermInfo>
  Enclosing class:
    FieldTermStack

      public static class FieldTermStack.TermInfo
      extends Object
      implements Comparable<FieldTermStack.TermInfo>

  Single term with its position/offsets in the document and IDF weight. It is Comparable but considers only position.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermInfo(String text, int startOffset, int endOffset, int position, float weight)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FieldTermStack.TermInfo o)`
    `boolean` | `equals(Object obj)`
    `int` | `getEndOffset()`
    `FieldTermStack.TermInfo` | `getNext()` Returns the next TermInfo at this same position.
    `int` | `getPosition()`
    `int` | `getStartOffset()`
    `String` | `getText()`
    `float` | `getWeight()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TermInfo

          public TermInfo(String text,
                          int startOffset,
                          int endOffset,
                          int position,
                          float weight)

  - ### Method Detail

    - #### getNext

          public FieldTermStack.TermInfo getNext()

      Returns the next TermInfo at this same position. This is a circular list!

    - #### getText

          public String getText()

    - #### getStartOffset

          public int getStartOffset()

    - #### getEndOffset

          public int getEndOffset()

    - #### getPosition

          public int getPosition()

    - #### getWeight

          public float getWeight()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(FieldTermStack.TermInfo o)

      Specified by:
        `compareTo` in interface `Comparable<FieldTermStack.TermInfo>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.